Arch Fusionner des Murs

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch MergeWalls and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch CloseHoles.svg Fermer les trous
Page suivante: Vérification Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Fusionner des murs

Emplacement du menu
Architecture → Utilitaires → Fusionner des murs
Ateliers
Atelier architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Murs


Description

L'outil Fusionner des Murs fusionne deux ou plusieurs Murs sélectionnés.

Utilisation

  1. Sélectionnez deux ou plusieurs murs.
  2. Allez au menu Arch → Utilitaires → Arch MergeWalls.svg Fusionner les murs.

Script

Voir aussi : Arch API et FreeCAD Scripting Basics.

Cet outil peut être utilisé dans des macros et à partir de la console Python à l'aide de la fonction suivante :

base = joinWalls(walls, delete=False)

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Page précédente: Arch CloseHoles.svg Fermer les trous
Page suivante: Vérification Arch Check.svg Arrow-right.svg